---
search:
  tags:
    - Variants
    - PATCH
seo:
  description: >-
    Updates existing variant prices in bulk with… Reference for the PATCH
    /api/v1/{team_slug}/{app_slug}/variants/prices/bulk endpoint in the
    Management API.
sidebar:
  label: Bulk update variant prices
  badge: PATCH
title: Bulk update variant prices
type: openapi-operation
---
Updates existing variant prices in bulk with partial data. Accepts up to 100 price items to update specific fields such as amount, sale price, reference price, status, and sale date ranges. Only provided fields will be updated.

`PATCH /api/v1/{team_slug}/{app_slug}/variants/prices/bulk`

**Request body** (`application/json`, required)

Prices data

- `prices` (internal_pkg_webserver_v1.BulkPatchPriceItem[], required)

Request body example:

```json
{
  "prices": [
    {
      "amount_cents_with_tax": 0,
      "id": "string",
      "on_sale": true,
      "reference_price_with_tax": 0,
      "sale_end_timestamp": "string",
      "sale_price_with_tax": 0,
      "sale_start_timestamp": "string",
      "status": "active"
    }
  ]
}
```

**Responses**

- `200` — Prices updated successfully
- `400` — Invalid request
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "failed": [
      {
        "id": "string",
        "reason": "string"
      }
    ],
    "successful": [
      {
        "amount_cents_with_tax": 0,
        "created_at": "string",
        "id": "string",
        "market": {
          "active": true,
          "country_codes": [
            "string"
          ],
          "created_at": "string",
          "currency_code": "string",
          "id": "string",
          "locale": "string",
          "name": "string",
          "slug": "string",
          "updated_at": "string"
        },
        "on_sale": true,
        "reference_price_with_tax": 0,
        "sale_end_timestamp": "string",
        "sale_price_with_tax": 0,
        "sale_start_timestamp": "string",
        "status": "active",
        "store_group": {
          "country_of_sale": "string",
          "created_at": "string",
          "description": "string",
          "id": "string",
          "name": "string",
          "slug": "string",
          "store_type": "string",
          "updated_at": "string"
        },
        "updated_at": "string"
      }
    ]
  },
  "details": [
    "string"
  ],
  "success": true
}
```
